org.apache.pdfbox.preflight.process

## Class CatalogValidationProcess

- java.lang.Object
- - org.apache.pdfbox.preflight.process.AbstractProcess
  - - org.apache.pdfbox.preflight.process.CatalogValidationProcess

All Implemented Interfaces:
  ValidationProcess

    public class CatalogValidationProcess
    extends AbstractProcess

This ValidationProcess check if the Catalog entries are confirming with the PDF/A-1b specification.

### Constructor Summary

Constructors
Constructor and Description
`CatalogValidationProcess()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `validate(PreflightContext ctx)`

### Methods inherited from class org.apache.pdfbox.preflight.process.AbstractProcess

`addFontError, addValidationError, addValidationErrors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CatalogValidationProcess

    public CatalogValidationProcess()

### Method Detail

#### validate

    public void validate(PreflightContext ctx)
                  throws ValidationException

Throws:
  `ValidationException`